Incompatible with latest Node #38

Open
saikat opened this Issue Sep 10, 2010 · 3 comments

Projects

None yet

4 participants

@saikat
saikat commented Sep 10, 2010

A bunch of buffer methods have changed (no more utf8Write or utf8Slice for example). The tests fail with Node as of this commit - http://github.com/ry/node/commit/85fb47c11cc985889be9c1a802cfc0331d8ad7a8 .

I think it's still compatible with the latest stable release though.

@mojodna
mojodna commented Sep 10, 2010

I've been using it successfully with node 0.2.0, FWIW.

@markc
markc commented Sep 16, 2010

I'm hitting this with master builds. Any hints how to workaround the lack of utf8Write?

@hoodoos
hoodoos commented Sep 22, 2010

It doesn't work with 0.2.1 and with 0.3.0-pre. Yes, problem is utf8Write, any workaround? :)

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment